Subject: bug#61104: 29.0.60; typescript-ts-mode does not provide compilation-mode support

From: Theodor Thornhill <[email-masked]>
Date: Sat, 04 Feb 2023 09:24:49 +0100

Theodor Thornhill <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Date: Fri, 03 Feb 2023 06:30:29 +0100
>>> From: Theodor Thornhill <[email-masked]>
>>> CC: [email-masked], [email-masked]
>>> 
>>> On 2 February 2023 22:01:11 CET, "Jostein Kjønigsen" <[email-masked]> wrote:
>>> >Any news on this one? Will this be merged? :)
>>> >
>>> 
>>> My guess is that it should go on master. I'll look at it today - sorry it took some time :)
>>
>> I'm okay with installing this on emacs-29 if the patch looks good.
>> Typescript mode is new in Emacs 29, so it's okay to make this change
>> now.  But please be sure that the relevant tests still pass, i.e. that
>> this change doesn't break something else in compilation-mode.
>>
>> Thanks.
>
> Ok, I'll do that then.  I'll add this in addition in the next commit, if
> that's ok.
>
> Thanks, Jostein and Eli :)

The changes are now installed on the emacs-29 branch, thanks!

Closing this :)

Theo